Skip to main content

AttributeDescription

No description

type AttributeDescription {
id: Int!
name: String!
searchId: String!
description(language: String): [LocalizedString!]!
type: AttributeType!
typeParam: String!
group: String!
isSearchable: Boolean!
isPublic: Boolean!
isHidden: Boolean
}

Fields

AttributeDescription.id ● Int! non-null scalar

The Name or Id of the Attribute as it's defined in the Datebase

AttributeDescription.name ● String! non-null scalar

The Name or Id of the Attribute as it's defined in the Datebase

AttributeDescription.searchId ● String! non-null scalar

Lowercased representation of the id with an attr_ prefix that can be used in query parameters. The attr_ prefix is to avoid potential naming conflict with regular product fields

AttributeDescription.description ● [LocalizedString!]! non-null object

The human readable description of the attribute's name. This is a language specific value.

AttributeDescription.description.language ● String scalar

AttributeDescription.type ● AttributeType! non-null enum

The type of the attribute. Possible values: - text - list - enum - enumlist - color - date - datetime - object - integer - decimal

AttributeDescription.typeParam ● String! non-null scalar

The name of the connected valueset to use when type is enum or enumlist

AttributeDescription.group ● String! non-null scalar

The group this attribute belongs to.

AttributeDescription.isSearchable ● Boolean! non-null scalar

Flags whether this attribute should be used when generating catalog page filters.

AttributeDescription.isPublic ● Boolean! non-null scalar

Flags whether this attribute should be used when generating product specs.

AttributeDescription.isHidden ● Boolean scalar

Flags whether this attribute us hidden and should only be used for background operations.

Member Of

AttributeDescriptionResponse object ● AttributeValue object ● ClusterDrillDown object